## aom-dmo 3.1.2

=== CMakeLists.txt ===
#
# Copyright (c) 2016, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#
cmake_minimum_required(VERSION 3.6)

set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")
if("${AOM_ROOT}" STREQUAL "${AOM_CONFIG_DIR}")
  message(
    FATAL_ERROR "Building from within the aom source tree is not supported.\n"
                "Hint: Run these commands\n"
                "$ rm -rf CMakeCache.txt CMakeFiles\n"
                "$ mkdir -p ../aom_build\n" "$ cd ../aom_build\n"
                "And re-run CMake from the aom_build directory.")
endif()

project(AOM C CXX)

if(NOT EMSCRIPTEN)
  if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE
        "Release"
        CACHE STRING "Build type: Debug, Release, RelWithDebInfo or MinSizeRel"
              FORCE)
  endif()
endif()

# Library version info. Update LT_CURRENT, LT_REVISION and LT_AGE when making a
# public release by following the guidelines in the libtool document:
# https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
#
# c=<current>, r=<revision>, a=<age>
#
# libtool generates a .so file as .so.[c-a].a.r, while -version-info c:r:a is
# passed to libtool.
#
# We set SO_FILE_VERSION = [c-a].a.r
set(LT_CURRENT 4)
set(LT_REVISION 2)
set(LT_AGE 1)
math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
unset(LT_CURRENT)
unset(LT_REVISION)
unset(LT_AGE)

include("${AOM_ROOT}/build/cmake/aom_configure.cmake")
include("${AOM_ROOT}/aom_dsp/aom_dsp.cmake")
include("${AOM_ROOT}/aom_mem/aom_mem.cmake")
include("${AOM_ROOT}/aom_ports/aom_ports.cmake")
include("${AOM_ROOT}/aom_scale/aom_scale.cmake")
include("${AOM_ROOT}/aom_util/aom_util.cmake")
include("${AOM_ROOT}/av1/av1.cmake")
include("${AOM_ROOT}/build/cmake/aom_install.cmake")
include("${AOM_ROOT}/build/cmake/sanitizers.cmake")
include("${AOM_ROOT}/build/cmake/util.cmake")
include("${AOM_ROOT}/test/test.cmake")

list(APPEND AOM_RTCD_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
            "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
            "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c"
            "${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
            "${AOM_ROOT}/av1/common/av1_rtcd.c"
            "${AOM_ROOT}/build/cmake/rtcd.pl")

list(APPEND AOM_LIBWEBM_SOURCES
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.cc"
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.h"
            "${AOM_ROOT}/third_party/libwebm/common/webmids.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxertypes.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.h")

list(APPEND AOM_LIBYUV_SOURCES
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/basic_types.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_argb.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_from.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/cpu_id.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/planar_functions.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/rotate.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/row.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale_row.h"
            "${AOM_ROOT}/third_party/libyuv/source/convert_argb.cc"
            "${AOM_ROOT}/third_party/libyuv/source/cpu_id.cc"
            "${AOM_ROOT}/third_party/libyuv/source/planar_functions.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_uv.cc")

list(APPEND AOM_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_config.c"
            "${AOM_CONFIG_DIR}/config/aom_config.h"
            "${AOM_ROOT}/aom/aom.h"
            "${AOM_ROOT}/aom/aom_codec.h"
            "${AOM_ROOT}/aom/aom_decoder.h"
            "${AOM_ROOT}/aom/aom_encoder.h"
            "${AOM_ROOT}/aom/aom_frame_buffer.h"
            "${AOM_ROOT}/aom/aom_image.h"
            "${AOM_ROOT}/aom/aom_integer.h"
            "${AOM_ROOT}/aom/aomcx.h"
            "${AOM_ROOT}/aom/aomdx.h"
            "${AOM_ROOT}/aom/internal/aom_codec_internal.h"
            "${AOM_ROOT}/aom/internal/aom_image_internal.h"
            "${AOM_ROOT}/aom/src/aom_codec.c"
            "${AOM_ROOT}/aom/src/aom_decoder.c"
            "${AOM_ROOT}/aom/src/aom_encoder.c"
            "${AOM_ROOT}/aom/src/aom_image.c"
            "${AOM_ROOT}/aom/src/aom_integer.c")

list(APPEND AOM_COMMON_APP_UTIL_SOURCES
            "${AOM_ROOT}/av1/arg_defs.h"
            "${AOM_ROOT}/av1/arg_defs.c"
            "${AOM_ROOT}/common/args_helper.c"
            "${AOM_ROOT}/common/args_helper.h"
            "${AOM_ROOT}/common/args.c"
            "${AOM_ROOT}/common/args.h"
            "${AOM_ROOT}/common/av1_config.c"
            "${AOM_ROOT}/common/av1_config.h"
            "${AOM_ROOT}/common/md5_utils.c"
            "${AOM_ROOT}/common/md5_utils.h"
            "${AOM_ROOT}/common/tools_common.c"
            "${AOM_ROOT}/common/tools_common.h"
            "${AOM_ROOT}/common/video_common.h"
            "${AOM_ROOT}/common/rawenc.c"
            "${AOM_ROOT}/common/rawenc.h"
            "${AOM_ROOT}/common/y4menc.c"
            "${AOM_ROOT}/common/y4menc.h")

list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/ivfdec.c"
            "${AOM_ROOT}/common/ivfdec.h" "${AOM_ROOT}/common/obudec.c"
            "${AOM_ROOT}/common/obudec.h" "${AOM_ROOT}/common/video_reader.c"
            "${AOM_ROOT}/common/video_reader.h")

list(APPEND AOM_ENCODER_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/ivfenc.c"
            "${AOM_ROOT}/common/ivfenc.h"
            "${AOM_ROOT}/common/video_writer.c"
            "${AOM_ROOT}/common/video_writer.h"
            "${AOM_ROOT}/common/warnings.c"
            "${AOM_ROOT}/common/warnings.h"
            "${AOM_ROOT}/common/y4minput.c"
            "${AOM_ROOT}/common/y4minput.h"
            "${AOM_ROOT}/examples/encoder_util.h"
            "${AOM_ROOT}/examples/encoder_util.c")

list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
            "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
            "${AOM_ROOT}/stats/rate_hist.h")

list(APPEND AOM_VERSION_SOURCES "${AOM_CONFIG_DIR}/config/aom_version.h")

list(APPEND AOM_WEBM_DECODER_SOURCES "${AOM_ROOT}/common/webmdec.cc"
            "${AOM_ROOT}/common/webmdec.h")

list(APPEND AOM_WEBM_ENCODER_SOURCES "${AOM_ROOT}/common/webmenc.cc"
            "${AOM_ROOT}/common/webmenc.h")

include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                    ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)

# Targets
add_library(aom_version ${AOM_VERSION_SOURCES})
add_dummy_source_file_to_target(aom_version c)
add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                   COMMAND ${CMAKE_COMMAND} ARGS
                           -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                           -DAOM_ROOT=${AOM_ROOT}
                           -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                           -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                           "${AOM_ROOT}/build/cmake/version.cmake"
                   COMMENT "Writing aom_version.h"
                   VERBATIM)

add_custom_target(aom_version_check
                  COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake"
                  COMMENT "Updating version info if necessary."
                  VERBATIM)

if(BUILD_SHARED_LIBS AND NOT MSVC)
  # Generate version file immediately for non-MSVC shared builds: The version
  # string is needed for the aom target.
  execute_process(COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake")
endif()

add_dependencies(aom_version aom_version_check)

# TODO(tomfinegan): Move rtcd target setup where it belongs for each rtcd
# source.
add_rtcd_build_step("${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
                    "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c" "aom_dsp_rtcd")
add_rtcd_build_step("${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
                    "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                    "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
                    "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")

add_library(aom_rtcd OBJECT ${AOM_RTCD_SOURCES})
add_dependencies(aom_rtcd aom_version)

if(ENABLE_EXAMPLES)
  add_library(aom_encoder_stats OBJECT ${AOM_ENCODER_STATS_SOURCES})
  set(AOM_LIB_TARGETS ${AOM_LIB_TARGETS} aom_encoder_stats)
endif()

add_library(aom ${AOM_SOURCES} $<TARGET_OBJECTS:aom_rtcd>)
if(BUILD_SHARED_LIBS)
  add_library(aom_static STATIC ${AOM_SOURCES} $<TARGET_OBJECTS:aom_rtcd>)
  set_target_properties(aom_static PROPERTIES OUTPUT_NAME aom)

  if(NOT MSVC)
    # Extract version string and set VERSION/SOVERSION for the aom target.
    extract_version_string("${AOM_CONFIG_DIR}/config/aom_version.h"

=== debian/changelog ===
aom-dmo (1:3.1.2-dmo1+deb11u1) oldstable; urgency=medium

  * Add upstream patches to fix CVE-2024-5171 (integer overflows)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jun 2024 10:08:18 +0200

aom-dmo (1:3.1.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Jul 2021 07:12:40 +0200

aom-dmo (1:3.1.1-dmo2) unstable; urgency=medium

  * libaom-dev should depends on libvmaf-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 07:34:00 +0200

aom-dmo (1:3.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build with -DCONFIG_TUNE_VMAF=1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Jun 2021 13:59:31 +0200

aom-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Call MathJax.js from the libjs-mathjax package instead of the remote
    file and add libjs-mathjax as dependency for aom-doc

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 May 2021 08:34:48 +0200

aom-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 14:34:14 +0100

aom-dmo (1:2.0.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Feb 2021 09:49:26 +0100

aom-dmo (1:2.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Nov 2020 23:29:35 +0100

aom-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 May 2020 23:38:53 +0200

aom-dmo (1:1.0.0.1-dmo2) unstable; urgency=medium

  * Manually specify target cpu and enable multithreading.
  * Enable CONFIG_LOWBITDEPTH.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Sep 2019 15:26:28 +0200

aom-dmo (1:1.0.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release (1.0.0.errata.1 upstream version).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Dec 2018 14:55:46 +0100

aom-dmo (1:1.0.0-dmo2) unstable; urgency=medium

  * Fix build for armel, armhf and powerpc arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Aug 2018 15:18:05 +0200

aom-dmo (1.0.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Aug 2018 16:51:15 +0200

=== debian/control ===
Source: aom-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://aomedia.org/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends-Indep: doxygen
Build-Depends: debhelper-compat (= 13), cmake (>= 3.6), yasm [any-amd64 any-i386],
 libvmaf-dev, pkg-config, ninja-build, quilt,

Package: libaom3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 Video Codec Library
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the reference
 encoder and decoder implementation published by the Alliance for Open
 Media.
 .
 This package contains the shared library.

Package: libaom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaom3 (= ${binary:Version}), ${misc:Depends}, libvmaf-dev
Description: AV1 Video Codec Library -- Development Files
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the reference
 encoder and decoder implementation published by the Alliance for Open
 Media.
 .
 This package contains the development files.

Package: aom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 Video Codec Library -- Tools
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the reference
 encoder and decoder implementation published by the Alliance for Open
 Media.
 .
 This package contains the command line encoding and decoding tools.

Package: libaom-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-mathjax
Description: AV1 Video Codec Library -- Documentation
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the reference
 encoder and decoder implementation published by the Alliance for Open
 Media.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs

ifeq ($(DEB_HOST_ARCH_CPU),arm64)
	TARGET_CPU = arm64
else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
	TARGET_CPU = armv7
	CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
	TARGET_CPU = mips64
else ifneq ($(filter ppc% powerpc%, $(DEB_HOST_ARCH_CPU)),)
	TARGET_CPU = ppc
	CONFIG_EXTRA := -DENABLE_VSX=OFF
else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),amd64_base)
	TARGET_CPU = x86_64
else ifeq ($(DEB_HOST_ARCH_CPU),i386)
	TARGET_CPU = x86
else
	TARGET_CPU = generic
endif

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DAOM_TARGET_CPU=$(TARGET_CPU) \
	-DBUILD_SHARED_LIBS=1 \
	-DCMAKE_BUILD_TYPE=Release \
	-DCONFIG_LOWBITDEPTH=1 \
	-DCONFIG_MULTITHREAD=1 \
	-DCONFIG_TUNE_VMAF=1 \
	-DENABLE_TESTS=0 \
	-DFORCE_HIGHBITDEPTH_DECODING=0 \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	$(CONFIG_EXTRA)

#	exit 1

override_dh_auto_install:
	dh_auto_install

	perl -i -pe 's,https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js,/usr/share/javascript/mathjax/MathJax.js,' \
	obj-$(DEB_HOST_MULTIARCH)/docs/html/*.html

override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_clean:
	$(RM) -rf CMakeFiles/

	dh_clean

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc1//, \
filenamemangle=s|.*/v|aom-|;s|$|.tar.gz|" \
https://aomedia.googlesource.com/aom/+refs /aom/\+/refs/tags/v@ANY_VERSION@

## aom-dmo 3.6.1

=== debian/changelog ===
aom-dmo (1:3.6.1-dmo1+deb12u1) stable; urgency=medium

  * Add upstream patches to fix CVE-2024-5171 (integer overflows)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jun 2024 09:17:01 +0200

aom-dmo (1:3.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 May 2023 19:46:37 +0200

aom-dmo (1:3.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Feb 2023 01:29:12 +0100

aom-dmo (1:3.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 02:53:27 +0200

aom-dmo (1:3.4.0-dmo2) unstable; urgency=medium

  * I forgot to replaces deprecated build option CONFIG_LOWBITDEPTH by
    FORCE_HIGHBITDEPTH_DECODING

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jun 2022 10:58:32 +0200

aom-dmo (1:3.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jun 2022 10:48:26 +0200

aom-dmo (1:3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Feb 2022 08:22:32 +0100

aom-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Oct 2021 16:47:51 +0200

aom-dmo (1:3.1.3-dmo2) unstable; urgency=medium

  * Rebuild for powerpc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Oct 2021 18:22:48 +0200

aom-dmo (1:3.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Oct 2021 08:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://aomedia.org/
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: doxygen
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.6), yasm [any-amd64 any-i386],
- libvmaf-dev, pkg-config, ninja-build, quilt,
+ libvmaf-dev, pkgconf, ninja-build, quilt
 
 Package: libaom3
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,7 @@
 	dh_auto_configure -- \
 	-DAOM_TARGET_CPU=$(TARGET_CPU) \
 	-DBUILD_SHARED_LIBS=1 \
-	-DCMAKE_BUILD_TYPE=Release \
-	-DCONFIG_LOWBITDEPTH=1 \
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	-DCONFIG_MULTITHREAD=1 \
 	-DCONFIG_TUNE_VMAF=1 \
 	-DENABLE_TESTS=0 \

## aom-dmo 3.12.1

=== debian/changelog ===
aom-dmo (1:3.12.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Apr 2025 16:39:40 +0200

aom-dmo (1:3.12.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2025 10:49:50 +0100

aom-dmo (1:3.11.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Nov 2024 09:13:35 +0100

aom-dmo (1:3.10.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Sep 2024 07:25:58 +0200

aom-dmo (1:3.9.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Jun 2024 16:27:05 +0200

aom-dmo (1:3.9.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2024 07:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 13), cmake (>= 3.6), yasm [any-amd64 any-i386],
- libvmaf-dev, pkgconf, ninja-build, quilt
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.6), nasm [any-amd64 any-i386],
+ libvmaf-dev, pkgconf, ninja-build
 
 Package: libaom3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: AV1 Video Codec Library
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the reference
@@ -27,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libaom3 (= ${binary:Version}), ${misc:Depends}, libvmaf-dev
+Depends: libaom3 (= ${binary:Version}), ${misc:Depends}, libvmaf-dev,
 Description: AV1 Video Codec Library -- Development Files
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the reference
@@ -39,7 +39,7 @@
 Package: aom-tools
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: AV1 Video Codec Library -- Tools
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the reference
@@ -52,7 +52,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libjs-mathjax
+Depends: ${misc:Depends}, libjs-mathjax,
 Description: AV1 Video Codec Library -- Documentation
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the reference

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	TARGET_CPU = arm64
 else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
 	TARGET_CPU = armv7
-	CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
+	CONFIG_EXTRA := -DENABLE_NEON=0
+# Doesn't build with 3.12.0
+#	CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
 else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
 	TARGET_CPU = mips64
 else ifneq ($(filter ppc% powerpc%, $(DEB_HOST_ARCH_CPU)),)
@@ -20,11 +22,19 @@
 	TARGET_CPU = generic
 endif
 
+ifeq ($(DEB_BUILD_ARCH_ENDIAN),little)
+	CONFIG_EXTRA_ENDIAN := -DCONFIG_BIG_ENDIAN=0
+else
+	CONFIG_EXTRA_ENDIAN := -DCONFIG_BIG_ENDIAN=1
+endif
+
 %:
-	dh $@ -Scmake+ninja --with quilt
+	dh $@ -Scmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	$(CONFIG_EXTRA) \
+	$(CONFIG_EXTRA_ENDIAN) \
 	-DAOM_TARGET_CPU=$(TARGET_CPU) \
 	-DBUILD_SHARED_LIBS=1 \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
@@ -32,8 +42,7 @@
 	-DCONFIG_TUNE_VMAF=1 \
 	-DENABLE_TESTS=0 \
 	-DFORCE_HIGHBITDEPTH_DECODING=0 \
-	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	$(CONFIG_EXTRA)
+	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 #	exit 1

## aom-dmo 3.13.1

=== debian/changelog ===
aom-dmo (1:3.13.1-dmo0~bpo13+1) trixie-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Sep 2025 14:51:52 +0200

aom-dmo (1:3.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Apr 2025 08:37:18 +0200

aom-dmo (1:3.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Feb 2025 08:39:50 +0100

aom-dmo (1:3.11.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Nov 2024 07:43:48 +0100

aom-dmo (1:3.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Aug 2024 09:09:26 +0200

aom-dmo (1:3.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Jun 2024 00:36:32 +0200

aom-dmo (1:3.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2024 07:36:20 +0200

aom-dmo (1:3.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Mar 2024 08:00:39 +0100

aom-dmo (1:3.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Jan 2024 02:31:06 +0100

aom-dmo (1:3.8.0-dmo2) unstable; urgency=medium

  * Build with libvmaf3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2023 08:49:04 +0100

aom-dmo (1:3.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2023 08:36:20 +0100

aom-dmo (1:3.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Nov 2023 01:26:12 +0100

aom-dmo (1:3.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Sep 2023 02:29:11 +0200

aom-dmo (1:3.6.1-dmo2) unstable; urgency=medium

  * Build aom-tools with system libwebm library.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Jun 2023 00:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://aomedia.org/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends-Indep: doxygen
+Standards-Version: 4.7.2
+Build-Depends-Indep: doxygen,
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.6), nasm [any-amd64 any-i386],
- libvmaf-dev, pkgconf, ninja-build
+ libvmaf-dev, pkgconf, ninja-build, quilt, libwebm-dev (>= 1.0.0.30),
 
 Package: libaom3
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 endif
 
 %:
-	dh $@ -Scmake+ninja
+	dh $@ -Scmake+ninja --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4

opts="uversionmangle=s/-rc1|-rc2|-rc3//, \
filenamemangle=s|.*/v|aom-|;s|$|.tar.gz|" \
https://aomedia.googlesource.com/aom/+refs /aom/\+/refs/tags/v@ANY_VERSION@
